
Foreman - Bug #12794

Environment in host isn't saved

12/13/2015 09:26 AM - Ori Rabin

Status: Closed   

Priority: Normal   

Assignee: Shimon Shtein   

Category: Web Interface   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2984

  

Description

When creating a host with no hostgroup and connecting an environment it isn't saved.

Related issues:

Related to Foreman - Bug #12461: Compute profiles are not applied when inherited Closed 11/12/2015

Associated revisions

Revision d94f4d36 - 12/22/2015 10:01 AM - Shimon Shtein

Fixes #12794 - Defined logic when properties should be sent to server

If hostgroup is not set - always send the parameters.

On hostgroup change - remove inherited parameters from the request, so the values from the hostgroup will take place.

On save - send the values according to the state of the "inherit" button.

Revision 984a8793 - 12/22/2015 04:28 PM - Shimon Shtein

Fixes #12794 - Defined logic when properties should be sent to server

If hostgroup is not set - always send the parameters.

On hostgroup change - remove inherited parameters from the request, so the values from the hostgroup will take place.

On save - send the values according to the state of the "inherit" button.

(cherry picked from commit d94f4d361dd9ca35a41cee1e00f72476200c8238)

History

#1 - 12/13/2015 09:27 AM - Shimon Shtein

- Assignee set to Shimon Shtein

#2 - 12/13/2015 09:28 AM - Ori Rabin

- Related to Bug #12461: Compute profiles are not applied when inherited added

#3 - 12/14/2015 03:03 AM - Dominic Cleal

- translation missing: en.field_release set to 63

This seems to affect any attribute with an inherit button?

#4 - 12/17/2015 02:20 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2984 added

#5 - 12/22/2015 11:02 AM - Shimon Shtein

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
Applied in changeset d94f4d361dd9ca35a41cee1e00f72476200c8238.
